Subject: Re: 2.6.14 USB vs. sleep issues

From: Wolfram Quester <[email-masked]>
Date: Mon, 7 Nov 2005 15:54:33 +0100

Hi Charles-Edouard,

On Mon, Nov 07, 2005 at 10:13:02AM +0100, Charles-Edouard Ruault wrote:
[...snip...]
> Hi Ben,
> i've applied your patch and it seems that when i put my powerbook to
> sleep ( by closing the lid ) the kernel just crashes since everytime i
> come back, the machine is turned off. I had a look at the logs and i see
> that i'm having a reboot almost immediateley after the lid is closed.
> However i've got no trace of a kernel panic .....
> my conf:
> 
> Linux kaluha 2.6.14 #1 PREEMPT Mon Oct 31 10:28:22 CET 2005 ppc GNU/Linux
> processor       : 0
> cpu             : 7447/7457, altivec supported
> clock           : 612MHz
> revision        : 0.1 (pvr 8002 0101)
> bogomips        : 406.52
> machine         : PowerBook5,2
> motherboard     : PowerBook5,2 MacRISC3 Power Macintosh
> detected as     : 287 (PowerBook G4 15")
> pmac flags      : 0000001b
> L2 cache        : 512K unified
> memory          : 768MB
> pmac-generation : NewWorld
> 
> I have a usb mouse that i unplug before closing the lid.
> Anything else that can be usefull ?
> Thanks for your time.
> Regards.

In a recent email to this list, Benjamin Herrenschmidt wrote:
> > >
> > > I would say your first mistake is to use PREEMPT :) There are
> > > various
> > > issues with PREEMPT on ppc32 that have not really been addressed so
> > > far,
> > > and the USB code has some "holes" that I wouldn't trust in a PREEMPT
> > > environment.
> > >
> >
> > What do you mean exactly? Should CONFIG_PREEMPT not be used?
> > And what about CONFIG_PREEMPT_VOLUNTARY?
> 
> I would avoid both for now.
> 
> Ben.

If I interpret your version string correctly, you also havre preemption
enabled. Please try without and report back success and/or problems.

With best regards,

Wolfi